Ubuntu

Cant repair software center 12.04

Asked by Hollywoodpete on 2012-04-09

updated to 12.04 but can't get software center to work properly

E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_universe_binary-i386_Packages, E:The package lists or status file could not be parsed or opened.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu software-center Edit question
Assignee:
No assignee Edit question
Solved by:
Sam_
Solved:
2012-04-09
Last query:
2012-04-09
Last reply:
2012-04-09
Hollywoodpete (peterschriver) said : #1

update-apt-xapian-index crashed with IndexError in _index_rel(): list index out of range

Hollywoodpete (peterschriver) said : #2

no luck with sudo apt-get install -f.
also tried sudo apt-get update and sudo apt-get upgrade

Can you give the output of:

sudo apt-get update; sudo apt-get upgrade; sudo apt-get dist-upgrade; sudo apt-get --reinstall software-center

Thanks

Hollywoodpete (peterschriver) said : #4

nighthawk@core4:~$ sudo apt-get update
[sudo] password for nighthawk:
Ign http://archive.canonical.com oneiric InRelease
Ign http://security.ubuntu.com precise-security InRelease
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://archive.canonical.com oneiric Release.gpg
Hit http://security.ubuntu.com precise-security Release
Hit http://archive.canonical.com oneiric Release
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://archive.canonical.com oneiric/partner i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Ign http://archive.canonical.com oneiric/partner TranslationIndex
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Ign http://archive.canonical.com oneiric/partner Translation-en_US
Ign http://archive.canonical.com oneiric/partner Translation-en
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Get:1 http://us.archive.ubuntu.com precise Release.gpg [198 B]
Get:2 http://us.archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:3 http://us.archive.ubuntu.com precise Release [49.6 kB]
Hit http://us.archive.ubuntu.com precise-updates Release
Get:4 http://us.archive.ubuntu.com precise/main i386 Packages [1,288 kB]
Get:5 http://us.archive.ubuntu.com precise/universe i386 Packages [4,840 kB]
Get:6 http://us.archive.ubuntu.com precise/main TranslationIndex [3,570 B]
Get:7 http://us.archive.ubuntu.com precise/universe TranslationIndex [2,784 B]
Hit http://us.archive.ubuntu.com precise-updates/main i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://us.archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://us.archive.ubuntu.com precise/main Translation-en
Hit http://us.archive.ubuntu.com precise/universe Translation-en
Hit http://us.archive.ubuntu.com precise-updates/main Translation-en
Hit http://us.archive.ubuntu.com precise-updates/universe Translation-en
Fetched 6,185 kB in 10s (601 kB/s)
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #5

nighthawk@core4:~$ sudo apt-get upgrade
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #6

nighthawk@core4:~$ sudo apt-get dist-upgrade
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #7

nighthawk@core4:~$ sudo apt-get --reinstall software-center
E: Invalid operation software-center
nighthawk@core4:~$

Remove the Oneiric sources from your system and it will help

Hollywoodpete (peterschriver) said : #9

I don't think I have any Oneric sourses unless I need to clear the Cache somehow?

Try:

grep -R oneiric /etc/apt

What is output?

Hollywoodpete (peterschriver) said : #11

nighthawk@core4:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 gstreamer0.10-plugins-bad : Depends: libflite1 but it is not installed
E: Unmet dependencies. Try using -f.
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #12

nighthawk@core4:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 gstreamer0.10-plugins-bad : Depends: libflite1 but it is not installed
E: Unmet dependencies. Try using -f.
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #13

nighthawk@core4:~$ sudo apt-get --reinstall software-center
E: Invalid operation software-center
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #14

nighthawk@core4:~$ grep -R oneiric /etc/apt
/etc/apt/sources.list.save:# deb cdrom:[Ubuntu 11.10 _Oneiric Ocelot_ - Release i386 (20111012)]/ oneiric main restricted
/etc/apt/sources.list.save:deb http://archive.canonical.com/ubuntu oneiric partner
/etc/apt/sources.list.save:# deb-src http://archive.canonical.com/ubuntu oneiric partner
grep: /etc/apt/trustdb.gpg: Permission denied
/etc/apt/sources.list:# deb cdrom:[Ubuntu 11.10 _Oneiric Ocelot_ - Release i386 (20111012)]/ oneiric main restricted
/etc/apt/sources.list:# deb http://archive.canonical.com/ubuntu oneiric partner
/etc/apt/sources.list:# deb-src http://archive.canonical.com/ubuntu oneiric partner
/etc/apt/sources.list.distUpgrade:#deb cdrom:[Ubuntu 11.10 _Oneiric Ocelot_ - Release i386 (20111012)]/ oneiric main restricted
/etc/apt/sources.list.distUpgrade:deb http://us.archive.ubuntu.com/ubuntu/ oneiric main restricted
/etc/apt/sources.list.distUpgrade:deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric main restricted
/etc/apt/sources.list.distUpgrade:deb http://us.archive.ubuntu.com/ubuntu/ oneiric-updates main restricted
/etc/apt/sources.list.distUpgrade:deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric-updates main restricted
/etc/apt/sources.list.distUpgrade:deb http://us.archive.ubuntu.com/ubuntu/ oneiric universe
/etc/apt/sources.list.distUpgrade:deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric universe
/etc/apt/sources.list.distUpgrade:deb http://us.archive.ubuntu.com/ubuntu/ oneiric-updates universe
/etc/apt/sources.list.distUpgrade:deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric-updates universe
/etc/apt/sources.list.distUpgrade:deb http://us.archive.ubuntu.com/ubuntu/ oneiric multiverse
/etc/apt/sources.list.distUpgrade:deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric multiverse
/etc/apt/sources.list.distUpgrade:deb http://us.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse
/etc/apt/sources.list.distUpgrade:deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse
/etc/apt/sources.list.distUpgrade:deb http://us.archive.ubuntu.com/ubuntu/ oneiric-backports main restricted universe multiverse
/etc/apt/sources.list.distUpgrade:deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric-backports main restricted universe multiverse
/etc/apt/sources.list.distUpgrade:deb http://security.ubuntu.com/ubuntu oneiric-security main restricted
/etc/apt/sources.list.distUpgrade:deb-src http://security.ubuntu.com/ubuntu oneiric-security main restricted
/etc/apt/sources.list.distUpgrade:deb http://security.ubuntu.com/ubuntu oneiric-security universe
/etc/apt/sources.list.distUpgrade:deb-src http://security.ubuntu.com/ubuntu oneiric-security universe
/etc/apt/sources.list.distUpgrade:deb http://security.ubuntu.com/ubuntu oneiric-security multiverse
/etc/apt/sources.list.distUpgrade:deb-src http://security.ubuntu.com/ubuntu oneiric-security multiverse
/etc/apt/sources.list.distUpgrade:# deb http://archive.canonical.com/ubuntu oneiric partner
/etc/apt/sources.list.distUpgrade:# deb-src http://archive.canonical.com/ubuntu oneiric partner
/etc/apt/sources.list.distUpgrade:deb http://extras.ubuntu.com/ubuntu oneiric main
/etc/apt/sources.list.distUpgrade:deb-src http://extras.ubuntu.com/ubuntu oneiric main
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #15

Sorry about the extra post

try:

sudo fuser -vvv /var/lib/dpkg/lock
sudo rm /var/lib/apt/lists/lock
sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status
sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
sudo rm -rf /var/lib/dpkg/updates/*
sudo rm -rf /var/lib/apt/lists
sudo rm /var/cache/apt/*.bin
sudo mkdir /var/lib/apt/lists
sudo mkdir /var/lib/apt/lists/partial
LANG=C;sudo apt-get clean
LANG=C;sudo apt-get autoclean
LANG=C;sudo apt-get --purge autoremove
LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824
sudo dpkg --clear-avail
sudo dpkg --configure -a
LANG=C;sudo apt-get -f install
LANG=C;sudo apt-get --fix-missing install
LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824 && sudo apt-get dist-upgrade

Hollywoodpete (peterschriver) said : #17

nighthawk@core4:~$ sudo fuser -vvv /var/lib/dpkg/lock
[sudo] password for nighthawk:
Sorry, try again.
[sudo] password for nighthawk:
nighthawk@core4:~$ sudo fuser -vvv /var/lib/dpkg/lock
nighthawk@core4:~$ sudo rm /var/lib/apt/lists/lock
nighthawk@core4:~$ sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
nighthawk@core4:~$ sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status
nighthawk@core4:~$ sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
nighthawk@core4:~$ sudo rm -rf /var/lib/dpkg/updates/*
nighthawk@core4:~$ sudo rm -rf /var/lib/apt/lists
nighthawk@core4:~$ sudo rm /var/cache/apt/*.bin
nighthawk@core4:~$ sudo mkdir /var/lib/apt/lists
nighthawk@core4:~$ sudo mkdir /var/lib/apt/lists/partial
nighthawk@core4:~$ LANG=C;sudo apt-get clean
nighthawk@core4:~$ LANG=C;sudo apt-get autoclean
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get --purge autoremove
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824
Ign http://security.ubuntu.com precise-security InRelease
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Get:1 http://security.ubuntu.com precise-security Release.gpg [198 B]
Get:2 http://us.archive.ubuntu.com precise Release.gpg [198 B]
Get:3 http://security.ubuntu.com precise-security Release [28.9 kB]
Get:4 http://us.archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:5 http://us.archive.ubuntu.com precise Release [49.6 kB]
Get:6 http://security.ubuntu.com precise-security/main i386 Packages [14 B]
Get:7 http://security.ubuntu.com precise-security/universe i386 Packages [14 B]
Get:8 http://security.ubuntu.com precise-security/main TranslationIndex [70 B]
Get:9 http://security.ubuntu.com precise-security/universe TranslationIndex [70 B]
Get:10 http://security.ubuntu.com precise-security/main Translation-en [14 B]
Get:11 http://us.archive.ubuntu.com precise-updates Release [28.9 kB]
Get:12 http://security.ubuntu.com precise-security/universe Translation-en [14 B]
Get:13 http://us.archive.ubuntu.com precise/main i386 Packages [1288 kB]
Get:14 http://us.archive.ubuntu.com precise/universe i386 Packages [4840 kB]
Get:15 http://us.archive.ubuntu.com precise/main TranslationIndex [3570 B]
Get:16 http://us.archive.ubuntu.com precise/universe TranslationIndex [2784 B]
Get:17 http://us.archive.ubuntu.com precise-updates/main i386 Packages [14 B]
Get:18 http://us.archive.ubuntu.com precise-updates/universe i386 Packages [14 B]
Get:19 http://us.archive.ubuntu.com precise-updates/main TranslationIndex [70 B]
Get:20 http://us.archive.ubuntu.com precise-updates/universe TranslationIndex [70 B]
Get:21 http://us.archive.ubuntu.com precise/main Translation-en [723 kB]
Get:22 http://us.archive.ubuntu.com precise/universe Translation-en [3370 kB]
Get:23 http://us.archive.ubuntu.com precise-updates/main Translation-en [14 B]
Get:24 http://us.archive.ubuntu.com precise-updates/universe Translation-en [14 B]
Fetched 10.3 MB in 7s (1418 kB/s)
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ sudo dpkg --clear-avail
nighthawk@core4:~$ sudo dpkg --configure -a
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 12457 package 'libunity9':
 missing description
dpkg: error: parsing file '/var/lib/dpkg/status' near line 12471:
 newline in field name `0languages.'
nighthawk@core4:~$ LANG=C;sudo apt-get -f install
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get --fix-missing install
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824 && sudo apt-get dist-upgrade
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Ign http://security.ubuntu.com precise-security InRelease
Hit http://us.archive.ubuntu.com precise Release.gpg
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://us.archive.ubuntu.com precise-updates Release.gpg
Hit http://security.ubuntu.com precise-security Release
Hit http://us.archive.ubuntu.com precise Release
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://us.archive.ubuntu.com precise-updates Release
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://us.archive.ubuntu.com precise/main i386 Packages
Hit http://us.archive.ubuntu.com precise/universe i386 Packages
Hit http://us.archive.ubuntu.com precise/main TranslationIndex
Hit http://us.archive.ubuntu.com precise/universe TranslationIndex
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://us.archive.ubuntu.com precise-updates/main i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://us.archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://us.archive.ubuntu.com precise/main Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Hit http://us.archive.ubuntu.com precise/universe Translation-en
Hit http://us.archive.ubuntu.com precise-updates/main Translation-en
Hit http://us.archive.ubuntu.com precise-updates/universe Translation-en
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #18

Thanks for your help so far. I will be away from the computer for a while and will check back later

Hollywoodpete (peterschriver) said : #19

E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/dpkg/status, E:The package lists or status file could not be parsed or opened.'

Try:

sudo apt-get update

Is it ok?

Hollywoodpete (peterschriver) said : #21

nighthawk@core4:~$ sudo apt-get update
[sudo] password for nighthawk:
Ign http://security.ubuntu.com precise-security InRelease
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://security.ubuntu.com precise-security Release
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Get:1 http://us.archive.ubuntu.com precise Release.gpg [198 B]
Hit http://us.archive.ubuntu.com precise-updates Release.gpg
Get:2 http://us.archive.ubuntu.com precise Release [49.6 kB]
Hit http://us.archive.ubuntu.com precise-updates Release
Get:3 http://us.archive.ubuntu.com precise/main i386 Packages [1,288 kB]
Get:4 http://us.archive.ubuntu.com precise/universe i386 Packages [4,841 kB]
Get:5 http://us.archive.ubuntu.com precise/main TranslationIndex [3,570 B]
Get:6 http://us.archive.ubuntu.com precise/universe TranslationIndex [2,784 B]
Hit http://us.archive.ubuntu.com precise-updates/main i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://us.archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://us.archive.ubuntu.com precise/main Translation-en
Get:7 http://us.archive.ubuntu.com precise/universe Translation-en [3,370 kB]
Hit http://us.archive.ubuntu.com precise-updates/main Translation-en
Hit http://us.archive.ubuntu.com precise-updates/universe Translation-en
Fetched 9,555 kB in 11s (827 kB/s)
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #22

On 04/09/2012 01:05 PM, actionparsnip wrote:
> Your question #193089 on software-center in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/software-center/+question/193089
>
> Status: Open => Answered
>
> actionparsnip proposed the following answer:
> Try:
>
> sudo apt-get update
>
> Is it ok?
>
No, still have errors

Hollywoodpete (peterschriver) said : #24

nighthawk@core4:~$ sudo rm -rf /var/lib/apt/lists
[sudo] password for nighthawk:
nighthawk@core4:~$ sudo mkdir /var/lib/apt/lists
nighthawk@core4:~$ sudo mkdir /var/lib/apt/lists/partial
nighthawk@core4:~$ sudo apt-get update
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Ign http://security.ubuntu.com precise-security InRelease
Get:1 http://us.archive.ubuntu.com precise Release.gpg [198 B]
Get:2 http://security.ubuntu.com precise-security Release.gpg [198 B]
Get:3 http://us.archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:4 http://security.ubuntu.com precise-security Release [28.9 kB]
Get:5 http://us.archive.ubuntu.com precise Release [49.6 kB]
Get:6 http://security.ubuntu.com precise-security/main i386 Packages [14 B]
Get:7 http://security.ubuntu.com precise-security/universe i386 Packages [14 B]
Get:8 http://security.ubuntu.com precise-security/main TranslationIndex [70 B]
Get:9 http://security.ubuntu.com precise-security/universe TranslationIndex [70 B]
Get:10 http://us.archive.ubuntu.com precise-updates Release [28.9 kB]
Get:11 http://security.ubuntu.com precise-security/main Translation-en [14 B]
Get:12 http://security.ubuntu.com precise-security/universe Translation-en [14 B]
Get:13 http://us.archive.ubuntu.com precise/main i386 Packages [1,289 kB]
Get:14 http://us.archive.ubuntu.com precise/universe i386 Packages [4,840 kB]
Get:15 http://us.archive.ubuntu.com precise/main TranslationIndex [3,570 B]
Get:16 http://us.archive.ubuntu.com precise/universe TranslationIndex [2,784 B]
Get:17 http://us.archive.ubuntu.com precise-updates/main i386 Packages [14 B]
Get:18 http://us.archive.ubuntu.com precise-updates/universe i386 Packages [14 B]
Get:19 http://us.archive.ubuntu.com precise-updates/main TranslationIndex [70 B]
Get:20 http://us.archive.ubuntu.com precise-updates/universe TranslationIndex [70 B]
Get:21 http://us.archive.ubuntu.com precise/main Translation-en [723 kB]
Get:22 http://us.archive.ubuntu.com precise/universe Translation-en [3,369 kB]
Get:23 http://us.archive.ubuntu.com precise-updates/main Translation-en [14 B]
Get:24 http://us.archive.ubuntu.com precise-updates/universe Translation-en [14 B]
Fetched 10.3 MB in 7s (1,457 kB/s)
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ sudo apt-get upgrade
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$

Rerun:

sudo fuser -vvv /var/lib/dpkg/lock
sudo rm /var/lib/apt/lists/lock
sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status
sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
sudo rm -rf /var/lib/dpkg/updates/*
sudo rm -rf /var/lib/apt/lists
sudo rm /var/cache/apt/*.bin
sudo mkdir /var/lib/apt/lists
sudo mkdir /var/lib/apt/lists/partial
LANG=C;sudo apt-get clean
LANG=C;sudo apt-get autoclean
LANG=C;sudo apt-get --purge autoremove
LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824
sudo dpkg --clear-avail
sudo dpkg --configure -a
LANG=C;sudo apt-get -f install
LANG=C;sudo apt-get --fix-missing install
LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824 && sudo apt-get dist-upgrade

Hollywoodpete (peterschriver) said : #26

An unresolvable problem occurred while initializing the package information.

Please report this bug against the 'update-manager' package and include the following error message:

'E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/dpkg/status, E:The package lists or status file could not be parsed or opened.'

Hollywoodpete (peterschriver) said : #29

nighthawk@core4:~$ sudo fuser -vvv /var/lib/dpkg/lock
nighthawk@core4:~$ sudo rm /var/lib/apt/lists/lock
rm: cannot remove `/var/lib/apt/lists/lock': No such file or directory
nighthawk@core4:~$ sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
nighthawk@core4:~$ sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status
nighthawk@core4:~$ sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
nighthawk@core4:~$ sudo rm -rf /var/lib/dpkg/updates/*
nighthawk@core4:~$ sudo rm -rf /var/lib/apt/lists
nighthawk@core4:~$ sudo rm /var/cache/apt/*.bin
nighthawk@core4:~$ sudo mkdir /var/lib/apt/lists
nighthawk@core4:~$ sudo mkdir /var/lib/apt/lists/partial
nighthawk@core4:~$ LANG=C;sudo apt-get clean
nighthawk@core4:~$ LANG=C;sudo apt-get autoclean
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get --purge autoremove
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824
Ign http://security.ubuntu.com precise-security InRelease
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Get:1 http://security.ubuntu.com precise-security Release.gpg [198 B]
Get:2 http://us.archive.ubuntu.com precise Release.gpg [198 B]
Get:3 http://security.ubuntu.com precise-security Release [28.9 kB]
Get:4 http://us.archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:5 http://us.archive.ubuntu.com precise Release [49.6 kB]
Get:6 http://security.ubuntu.com precise-security/main i386 Packages [14 B]
Get:7 http://security.ubuntu.com precise-security/universe i386 Packages [14 B]
Get:8 http://security.ubuntu.com precise-security/restricted i386 Packages [14 B]
Get:9 http://security.ubuntu.com precise-security/main TranslationIndex [70 B]
Get:10 http://security.ubuntu.com precise-security/restricted TranslationIndex [70 B]
Get:11 http://security.ubuntu.com precise-security/universe TranslationIndex [70 B]
Get:12 http://security.ubuntu.com precise-security/main Translation-en [14 B]
Get:13 http://security.ubuntu.com precise-security/restricted Translation-en [14 B]
Get:14 http://us.archive.ubuntu.com precise-updates Release [28.9 kB]
Get:15 http://security.ubuntu.com precise-security/universe Translation-en [14 B]
Get:16 http://us.archive.ubuntu.com precise/main i386 Packages [1288 kB]
Get:17 http://us.archive.ubuntu.com precise/universe i386 Packages [4840 kB]
Get:18 http://us.archive.ubuntu.com precise/restricted i386 Packages [8318 B]
Get:19 http://us.archive.ubuntu.com precise/main TranslationIndex [3570 B]
Get:20 http://us.archive.ubuntu.com precise/restricted TranslationIndex [2464 B]
Get:21 http://us.archive.ubuntu.com precise/universe TranslationIndex [2784 B]
Get:22 http://us.archive.ubuntu.com precise-updates/main i386 Packages [14 B]
Get:23 http://us.archive.ubuntu.com precise-updates/universe i386 Packages [14 B]
Get:24 http://us.archive.ubuntu.com precise-updates/restricted i386 Packages [14 B]
Get:25 http://us.archive.ubuntu.com precise-updates/main TranslationIndex [70 B]
Get:26 http://us.archive.ubuntu.com precise-updates/restricted TranslationIndex [70 B]
Get:27 http://us.archive.ubuntu.com precise-updates/universe TranslationIndex [70 B]
Get:28 http://us.archive.ubuntu.com precise/main Translation-en [723 kB]
Get:29 http://us.archive.ubuntu.com precise/restricted Translation-en [2229 B]
Get:30 http://us.archive.ubuntu.com precise/universe Translation-en [3369 kB]
Get:31 http://us.archive.ubuntu.com precise-updates/main Translation-en [14 B]
Get:32 http://us.archive.ubuntu.com precise-updates/restricted Translation-en [14 B]
Get:33 http://us.archive.ubuntu.com precise-updates/universe Translation-en [14 B]
Fetched 10.3 MB in 7s (1367 kB/s)
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ sudo dpkg --clear-avail
nighthawk@core4:~$ sudo dpkg --configure -a
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 12457 package 'libunity9':
 missing description
dpkg: error: parsing file '/var/lib/dpkg/status' near line 12471:
 newline in field name `0languages.'
nighthawk@core4:~$ LANG=C;sudo apt-get -f install
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get --fix-missing install
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824 && sudo apt-get dist-upgrade
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Hit http://us.archive.ubuntu.com precise Release.gpg
Hit http://us.archive.ubuntu.com precise-updates Release.gpg
Hit http://us.archive.ubuntu.com precise Release
Hit http://us.archive.ubuntu.com precise-updates Release
Hit http://us.archive.ubuntu.com precise/main i386 Packages
Hit http://us.archive.ubuntu.com precise/universe i386 Packages
Hit http://us.archive.ubuntu.com precise/restricted i386 Packages
Hit http://us.archive.ubuntu.com precise/main TranslationIndex
Hit http://us.archive.ubuntu.com precise/restricted TranslationIndex
Hit http://us.archive.ubuntu.com precise/universe TranslationIndex
Hit http://us.archive.ubuntu.com precise-updates/main i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/restricted i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://us.archive.ubuntu.com precise-updates/restricted TranslationIndex
Hit http://us.archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://us.archive.ubuntu.com precise/main Translation-en
Hit http://us.archive.ubuntu.com precise/restricted Translation-en
Ign http://security.ubuntu.com precise-security InRelease
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://us.archive.ubuntu.com precise/universe Translation-en
Hit http://security.ubuntu.com precise-security Release
Hit http://us.archive.ubuntu.com precise-updates/main Translation-en
Hit http://us.archive.ubuntu.com precise-updates/restricted Translation-en
Hit http://us.archive.ubuntu.com precise-updates/universe Translation-en
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ sudo fuser -vvv /var/lib/dpkg/lock
nighthawk@core4:~$ sudo rm /var/lib/apt/lists/lock
nighthawk@core4:~$ sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
nighthawk@core4:~$ sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status
nighthawk@core4:~$ sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
nighthawk@core4:~$ sudo rm -rf /var/lib/dpkg/updates/*
nighthawk@core4:~$ sudo rm -rf /var/lib/apt/lists
nighthawk@core4:~$ sudo rm /var/cache/apt/*.bin
nighthawk@core4:~$ sudo mkdir /var/lib/apt/lists
nighthawk@core4:~$ sudo mkdir /var/lib/apt/lists/partial
nighthawk@core4:~$ LANG=C;sudo apt-get clean
nighthawk@core4:~$ LANG=C;sudo apt-get autoclean
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get --purge autoremove
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Get:1 http://us.archive.ubuntu.com precise Release.gpg [198 B]
Ign http://security.ubuntu.com precise-security InRelease
Get:2 http://us.archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:3 http://security.ubuntu.com precise-security Release.gpg [198 B]
Get:4 http://security.ubuntu.com precise-security Release [28.9 kB]
Get:5 http://us.archive.ubuntu.com precise Release [49.6 kB]
Get:6 http://security.ubuntu.com precise-security/main i386 Packages [14 B]
Get:7 http://security.ubuntu.com precise-security/universe i386 Packages [14 B]
Get:8 http://security.ubuntu.com precise-security/restricted i386 Packages [14 B]
Get:9 http://security.ubuntu.com precise-security/main TranslationIndex [70 B]
Get:10 http://security.ubuntu.com precise-security/restricted TranslationIndex [70 B]
Get:11 http://security.ubuntu.com precise-security/universe TranslationIndex [70 B]
Get:12 http://us.archive.ubuntu.com precise-updates Release [28.9 kB]
Get:13 http://security.ubuntu.com precise-security/main Translation-en [14 B]
Get:14 http://security.ubuntu.com precise-security/restricted Translation-en [14 B]
Get:15 http://security.ubuntu.com precise-security/universe Translation-en [14 B]
Get:16 http://us.archive.ubuntu.com precise/main i386 Packages [1288 kB]
Get:17 http://us.archive.ubuntu.com precise/universe i386 Packages [4840 kB]
Get:18 http://us.archive.ubuntu.com precise/restricted i386 Packages [8318 B]
Get:19 http://us.archive.ubuntu.com precise/main TranslationIndex [3570 B]
Get:20 http://us.archive.ubuntu.com precise/restricted TranslationIndex [2464 B]
Get:21 http://us.archive.ubuntu.com precise/universe TranslationIndex [2784 B]
Get:22 http://us.archive.ubuntu.com precise-updates/main i386 Packages [14 B]
Get:23 http://us.archive.ubuntu.com precise-updates/universe i386 Packages [14 B]
Get:24 http://us.archive.ubuntu.com precise-updates/restricted i386 Packages [14 B]
Get:25 http://us.archive.ubuntu.com precise-updates/main TranslationIndex [70 B]
Get:26 http://us.archive.ubuntu.com precise-updates/restricted TranslationIndex [70 B]
Get:27 http://us.archive.ubuntu.com precise-updates/universe TranslationIndex [70 B]
Get:28 http://us.archive.ubuntu.com precise/main Translation-en [723 kB]
Get:29 http://us.archive.ubuntu.com precise/restricted Translation-en [2229 B]
Get:30 http://us.archive.ubuntu.com precise/universe Translation-en [3369 kB]
Get:31 http://us.archive.ubuntu.com precise-updates/main Translation-en [14 B]
Get:32 http://us.archive.ubuntu.com precise-updates/restricted Translation-en [14 B]
Get:33 http://us.archive.ubuntu.com precise-updates/universe Translation-en [14 B]
Fetched 10.3 MB in 11s (892 kB/s)
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ sudo dpkg --clear-avail
nighthawk@core4:~$ sudo dpkg --configure -a
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 12457 package 'libunity9':
 missing description
dpkg: error: parsing file '/var/lib/dpkg/status' near line 12471:
 newline in field name `0languages.'
nighthawk@core4:~$ LANG=C;sudo apt-get -f install
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get --fix-missing install
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824 && sudo apt-get dist-upgrade
Ign http://security.ubuntu.com precise-security InRelease
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://us.archive.ubuntu.com precise Release.gpg
Hit http://security.ubuntu.com precise-security Release
Hit http://us.archive.ubuntu.com precise-updates Release.gpg
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://us.archive.ubuntu.com precise Release
Hit http://us.archive.ubuntu.com precise-updates Release
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://us.archive.ubuntu.com precise/main i386 Packages
Hit http://us.archive.ubuntu.com precise/universe i386 Packages
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://us.archive.ubuntu.com precise/restricted i386 Packages
Hit http://us.archive.ubuntu.com precise/main TranslationIndex
Hit http://us.archive.ubuntu.com precise/restricted TranslationIndex
Hit http://us.archive.ubuntu.com precise/universe TranslationIndex
Hit http://security.ubuntu.com precise-security/universe Translation-en
Hit http://us.archive.ubuntu.com precise-updates/main i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/universe i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/restricted i386 Packages
Hit http://us.archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://us.archive.ubuntu.com precise-updates/restricted TranslationIndex
Hit http://us.archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://us.archive.ubuntu.com precise/main Translation-en
Hit http://us.archive.ubuntu.com precise/restricted Translation-en
Hit http://us.archive.ubuntu.com precise/universe Translation-en
Hit http://us.archive.ubuntu.com precise-updates/main Translation-en
Hit http://us.archive.ubuntu.com precise-updates/restricted Translation-en
Hit http://us.archive.ubuntu.com precise-updates/universe Translation-en
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$

Hollywoodpete (peterschriver) said : #30

nighthawk@core4:~$ cd /var/lib/dpkg && mv status status-bad && cp status-old status && apt-get update
mv: cannot move `status' to `status-bad': Permission denied
nighthawk@core4:/var/lib/dpkg$

Best Sam_ (and-sam) said : #31

> mv: cannot move `status' to `status-bad': Permission denied

Needs admin priviliges same as all the others you've issued before.
Copy status-old to status is what you've applied all along, please verify the cmds yourself.

These dpkg errors were gone in output of #24 and reintroduced in #29 because status-old was renamed to status.
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 12457 package 'libunity9':
 missing description
dpkg: error: parsing file '/var/lib/dpkg/status' near line 12471:
 newline in field name `0languages.'

Please try as suggested in #27+28:
sudo rm /var/lib/apt/lists/* -vf
sudo apt-get update
sudo apt-get upgrade

Hollywoodpete (peterschriver) said : #32

nighthawk@core4:~$ sudo rm /var/lib/apt/lists/* -vf
[sudo] password for nighthawk:
removed `/var/lib/apt/lists/lock'
rm: cannot remove `/var/lib/apt/lists/partial': Is a directory
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_binary-i386_Packages'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_i18n_Index'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_i18n_Translation-en'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_Release'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_Release.gpg'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_restricted_binary-i386_Packages'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_restricted_i18n_Index'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_restricted_i18n_Translation-en'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_universe_binary-i386_Packages'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_universe_i18n_Index'
removed `/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_universe_i18n_Translation-en'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_main_binary-i386_Packages'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_main_i18n_Index'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_main_i18n_Translation-en'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_Release'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_Release.gpg'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_restricted_binary-i386_Packages'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_restricted_i18n_Index'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_restricted_i18n_Translation-en'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_universe_i18n_Index'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_universe_i18n_Translation-en'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_main_binary-i386_Packages'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Index'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Translation-en'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_Release'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_Release.gpg'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_binary-i386_Packages'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_i18n_Index'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_i18n_Translation-en'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_universe_binary-i386_Packages'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_universe_i18n_Index'
removed `/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise-updates_universe_i18n_Translation-en'
nighthawk@core4:~$ sudo apt-get update
Ign http://us.archive.ubuntu.com precise InRelease
Ign http://us.archive.ubuntu.com precise-updates InRelease
Ign http://security.ubuntu.com precise-security InRelease
Get:1 http://us.archive.ubuntu.com precise Release.gpg [198 B]
Get:2 http://security.ubuntu.com precise-security Release.gpg [198 B]
Get:3 http://us.archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:4 http://security.ubuntu.com precise-security Release [28.9 kB]
Get:5 http://us.archive.ubuntu.com precise Release [49.6 kB]
Get:6 http://security.ubuntu.com precise-security/main i386 Packages [14 B]
Get:7 http://security.ubuntu.com precise-security/universe i386 Packages [14 B]
Get:8 http://security.ubuntu.com precise-security/restricted i386 Packages [14 B]
Get:9 http://security.ubuntu.com precise-security/main TranslationIndex [70 B]
Get:10 http://security.ubuntu.com precise-security/restricted TranslationIndex [70 B]
Get:11 http://security.ubuntu.com precise-security/universe TranslationIndex [70 B]
Get:12 http://us.archive.ubuntu.com precise-updates Release [28.9 kB]
Get:13 http://security.ubuntu.com precise-security/main Translation-en [14 B]
Get:14 http://security.ubuntu.com precise-security/restricted Translation-en [14 B]
Get:15 http://security.ubuntu.com precise-security/universe Translation-en [14 B]
Get:16 http://us.archive.ubuntu.com precise/main i386 Packages [1,289 kB]
Get:17 http://us.archive.ubuntu.com precise/universe i386 Packages [4,840 kB]
Get:18 http://us.archive.ubuntu.com precise/restricted i386 Packages [8,356 B]
Get:19 http://us.archive.ubuntu.com precise/main TranslationIndex [3,570 B]
Get:20 http://us.archive.ubuntu.com precise/restricted TranslationIndex [2,464 B]
Get:21 http://us.archive.ubuntu.com precise/universe TranslationIndex [2,784 B]
Get:22 http://us.archive.ubuntu.com precise-updates/main i386 Packages [14 B]
Get:23 http://us.archive.ubuntu.com precise-updates/universe i386 Packages [14 B]
Get:24 http://us.archive.ubuntu.com precise-updates/restricted i386 Packages [14 B]
Get:25 http://us.archive.ubuntu.com precise-updates/main TranslationIndex [70 B]
Get:26 http://us.archive.ubuntu.com precise-updates/restricted TranslationIndex [70 B]
Get:27 http://us.archive.ubuntu.com precise-updates/universe TranslationIndex [70 B]
Get:28 http://us.archive.ubuntu.com precise/main Translation-en [723 kB]
Get:29 http://us.archive.ubuntu.com precise/restricted Translation-en [2,229 B]
Get:30 http://us.archive.ubuntu.com precise/universe Translation-en [3,369 kB]
Get:31 http://us.archive.ubuntu.com precise-updates/main Translation-en [14 B]
Get:32 http://us.archive.ubuntu.com precise-updates/restricted Translation-en [14 B]
Get:33 http://us.archive.ubuntu.com precise-updates/universe Translation-en [14 B]
Fetched 10.3 MB in 7s (1,377 kB/s)
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$ sudo apt-get upgrade
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
nighthawk@core4:~$

I think I did what you were asking?

Hollywoodpete (peterschriver) said : #33

E: Error occurred while processing libtulip-ogl-3.1 (NewVersion2)

Hollywoodpete (peterschriver) said : #34

Holy crap. Not sure what I did but it works now. I used sudo in front of mv.
Thanks for your help. You guy/girls are brilliant

Hollywoodpete (peterschriver) said : #35

Sudo in front of mv seemed to solve my issue

Hollywoodpete (peterschriver) said : #36

Thanks Sam_, that solved my question.

Thanks, Sam, your answer helped a lot.

Ray Lance (ray-lances) said : #38

Since 5/12 this has also started happening to me:

E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_main_i18n_Translation-en, E:The package lists or status file could not be parsed or opened.

sudo rm /var/lib/apt/lists/* -vf

That seems to fix it for me.

Aaron Fisher (aaronmfisher86) said : #40

moyogo's fix worked for me too! His fix is a lot quicker as well!

nixlower0 (game3010) said : #41

Hello everyone! :)
I solved my error by deleting "archive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Translation-en" on /var/lib/apt/lists .
Firstly, my problem was the same as @Hollywoodpete (peterschriver), I could say it was identic.
What I did after trying "Recovery mode":
1- Boot into my Mint 13 Maya Cinnamon (Ubuntu 12.04 x86 3.2.0-45-generic);
2- Tried to open Synaptic, but I had some errors:
"E:Encountered a section with no Package: header,
E:Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_universe_binary-i386_Packages, E:The package lists or status file could not be parsed or opened."
3- I tried from Terminal sudo apt-get update, upgrade, autoremove and autoclean. But I had again errors.
4- I figured on which file there had a read error and it was "archive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Translation-en" I got the root privileges and deleted it from /var/lib/apt/lists.
5- I tried to update again and used - sudo apt-get update this time the error was on "archive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Translation-en" and I removed it too:
user@user ~$ sudo rm /var/lib/apt/listsarchive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Translation-en
6- again - sudo apt-get update and - "Oh miracle!" It worked! The deleted files where regenerated again after the update command.
7- After the "update" and "upgrade" commands I cleaned some junk by using "sudo apt-get autoremove" command.
That's it! I hope this helped someone.

nixlower0 (game3010) said : #42

BTW, now I see I did almost the same as @Denis Moyogo Jacquerye (moyogo) but more "compliceted", [b]moyogo[/b] said a faster and easier way to fix that error:
sudo rm /var/lib/apt/lists/* -vf

;)

Hi All,

Thanks,
moving the troublesome list item worked for me
$ sudo mv /var/lib/apt/listsarchive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Translation-en .